aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_rebind.sh
diff options
context:
space:
mode:
authorteor <teor@torproject.org>2019-06-10 18:59:02 +1000
committerteor <teor@torproject.org>2019-06-10 20:49:59 +1000
commitbe0a4be276c945e4e90b43ce8f784b5b75bef122 (patch)
tree72ccc9e3e2f092b0a87e416c5adf07bfe6763f2b /src/test/test_rebind.sh
parente5deb2bbc73d8830ae6c479a4532e72112f5484a (diff)
downloadtor-be0a4be276c945e4e90b43ce8f784b5b75bef122.tar.gz
tor-be0a4be276c945e4e90b43ce8f784b5b75bef122.zip
Travis: Skip test_rebind on macOS builds
Skip test_rebind when the TOR_SKIP_TEST_REBIND environmental variable is set. Skip test_rebind on macOS in Travis builds, because it is unreliable on macOS on Travis. Fixes bug 30713; bugfix on 0.3.5.1-alpha.
Diffstat (limited to 'src/test/test_rebind.sh')
-rwxr-xr-xsrc/test/test_rebind.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/test/test_rebind.sh b/src/test/test_rebind.sh
index 498072de35..ea2012957e 100755
--- a/src/test/test_rebind.sh
+++ b/src/test/test_rebind.sh
@@ -27,6 +27,6 @@ elif [ ! -d "$tmpdir" ]; then
exit 3
fi
-"${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/test_rebind.py" "${TESTING_TOR_BINARY}" "$tmpdir" || exitcode=1
+"${PYTHON:-python}" "${abs_top_srcdir:-.}/src/test/test_rebind.py" "${TESTING_TOR_BINARY}" "$tmpdir"
-exit ${exitcode}
+exit $?